Subject: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion

From: "Chongfeng Xie" <[email-masked]>
Date: Wed, 11 Apr 2018 15:08:29 +0800

Hi, Giuseppe, 

I have read draft-fioccola-v6ops-ipv6-alt-mark-00,   and I feel that it is essential to find an agreed way for IPv6 performance measurement with Alternate Marking Method, so I give support to this work. Frankly speaking, it is the first time for me to touch RFC8321, so I need more time to understand the keypoints of this work. However,  I think it is unsuitable to put the  two bits marking field in DA, for many operators, the IPv6 address space has been planned and major key bits have been elaborately defined, so it is difficult to insert new field in the IPv6 address. 

Thank you

Chongfeng  Xie

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion
Fioccola Giuseppe <[email-masked]> Tue, 10 April 2018 08:45 UTCShow header 
From: Fioccola Giuseppe <[email-masked]>
To: Fred Baker <[email-masked]>, V6 Ops List <[email-masked]>
CC: "[email-masked]" <[email-masked]>
Date: Tue, 10 Apr 2018 08:44:54 +0000
Accept-Language: it-IT, en-US
Archived-At: <https://mailarchive.ietf.org/arch/msg/v6ops/GhtlgJjWfPtus7JNfWRoxurCE9s>
Subject: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion
Hi Fred,
Thank you for the detailed recap.
I would only confirm that we will work on a new revision of draft-fioccola-v6ops-ipv6-alt-mark and propose the use of 2 bits from the reserved field in the RFC7837 ConEx extension to encode the marking method. In addition it will be used as HBH Header.
Feedbacks from the WG are welcome.
Best Regards,
Giuseppe
-----Messaggio originale-----
Da: v6ops [mailto:[email-masked]] Per conto di Fred Baker
Inviato: domenica 8 aprile 2018 07:00
A: V6 Ops List
Oggetto: [v6ops] draft-fioccola-v6ops-ipv6-alt-mark discussion
At IETF 101, Giuseppe Fioccola presented draft-fioccola-v6ops-ipv6-alt-mark. The draft is at https://tools.ietf.org/html/draft-fioccola-v6ops-ipv6-alt-mark, and his presentation deck is at https://datatracker.ietf.org/meeting/101/materials/slides-101-v6ops-ipv6-performance-measurement-with-alternate-marking-method-00.
There was also discussion in 6man regarding the encoding mechanism. I'll refer you to the 6man minutes for that discussion. But to that end, Roberta Maglione, Giuseppe Fioccola, Bob Hinden, Ole Troan, and I met for breakfast to discuss this draft. The issue has to do with the placement of bits and the service provided. The general consensus, as I understand it, was to recommend that the authors consider the Conex extension in
https://tools.ietf.org/html/rfc7837
7837 IPv6 Destination Option for Congestion Exposure (ConEx). S.
     Krishnan, M. Kuehlewind, B. Briscoe, C. Ralli. May 2016. (Format:
     TXT=29708 bytes) (Status: EXPERIMENTAL) (DOI: 10.17487/RFC7837)
and consider how to use unused fields in it in the Hop-by-hop Header. Ideally, that means including the HBH Header and the indicated option as transmitted by the source system, so that other systems en route can inspect and/or update it.
Giuseppe will use the existing draft as a vehicle for the present, but it may or may not be discussed in v6ops. Bob would like Giuseppe to remove the discussion of the several possible placements and only discuss this option. It would also be wise for Giuseppe to correspond with the authors of that RFC, in accordance with the definition of "experimental" in RFC 2026, to ensure that he and they don't somehow trip over each other.
I would like to invite v6ops discussion. This especially includes the question of whether it makes useful recommendations for your operational environment.
Related documents include:
https://tools.ietf.org/html/draft-fioccola-ippm-multipoint-alt-mark
  "Multipoint Alternate Marking method for passive and hybrid performance
  monitoring", Giuseppe Fioccola, Mauro Cociglio, Amedeo Sapio, Riccardo
  Sisto, 2018-03-01
https://tools.ietf.org/html/draft-fioccola-spring-flow-label-alt-mark
  "Using the IPv6 Flow Label for Performance Measurement with Alternate
  Marking Method in Segment Routing", Giuseppe Fioccola, Gunter Van de Velde,
  Mauro Cociglio, Praveen Muley, 2017-10-26,
https://tools.ietf.org/html/draft-fioccola-v6ops-ipv6-alt-mark
  "IPv6 Performance Measurement with Alternate Marking Method", Giuseppe
  Fioccola, Gunter Van de Velde, Mauro Cociglio, Praveen Muley, 2018-02-26,
https://tools.ietf.org/html/draft-fmm-nvo3-pm-alt-mark
  "Performance Measurement (PM) with Alternate Marking in Network
  Virtualization Overlays (NVO3)", Giuseppe Fioccola, Gregory Mirsky, Tal
  Mizrahi, 2018-03-02
https://tools.ietf.org/html/rfc8321
8321 Alternate-Marking Method for Passive and Hybrid Performance
     Monitoring. G. Fioccola, Ed., A. Capello, M. Cociglio, L.
     Castaldelli, M. Chen, L. Zheng, G. Mirsky, T. Mizrahi. January 2018.
     (Format: TXT=84513 bytes) (Status: EXPERIMENTAL) (DOI:
     10.17487/RFC8321)
Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie. 
This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks. 
Rispetta l'ambiente. Non stampare questa mail se non è necessario.

[v6ops] draft-fioccola-v6ops-ipv6-alt-mark disc...  Fred Baker
[v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark d...  Fioccola Giuseppe
Re: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-ma...  Ackermann, Michael
Hide Navigation Bar
Date 
Thread 
Toggle navigation 
Date
Thread
v1.11.2 | Report a Bug | By Email

[email-masked]

---

From: Fioccola Giuseppe <[email-masked]>
Date: Wed, 11 Apr 2018 08:56:37 +0000

Hi Chongfeng,
Thank you for your comment. It is important to have an opinion from other network operators.
Your comment makes sense, in fact we are discarding the DA as choice for the marking field and, meanwhile, we are considering to use extension header (RFC7837) to encode alternate marking method detailed in RFC8321. The new revision will be published in the coming weeks.
Best Regards,
Giuseppe

Da: v6ops [mailto:[email-masked]] Per conto di Chongfeng Xie
Inviato: mercoledì 11 aprile 2018 09:08
A: v6ops
Oggetto: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion

Hi, Giuseppe,

Thank you

Chongfeng  Xie

Fioccola Giuseppe <[email-masked]<mailto:[email-masked]>> Tue, 10 April 2018 08:45 UTCShow header<https://mailarchive.ietf.org/arch/msg/v6ops/GhtlgJjWfPtus7JNfWRoxurCE9s>

From: Fioccola Giuseppe <[email-masked]<mailto:[email-masked]>>
To: Fred Baker <[email-masked]<mailto:[email-masked]>>, V6 Ops List <[email-masked]<mailto:[email-masked]>>
CC: "draft-fioccola-v6ops-ipv6-alt-mark@ietf..org<mailto:draft-fioccola-v6ops-ipv6-alt-mark@ietf..org>" <[email-masked]<mailto:[email-masked]>>
Date: Tue, 10 Apr 2018 08:44:54 +0000
Accept-Language: it-IT, en-US
Archived-At: <https://mailarchive.ietf.org/arch/msg/v6ops/GhtlgJjWfPtus7JNfWRoxurCE9s>
Subject: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark discussion

Hi Fred,

Best Regards,

Giuseppe

-----Messaggio originale-----

A: V6 Ops List

Giuseppe will use the existing draft as a vehicle for the present, but it may or may not be discussed in v6ops. Bob would like Giuseppe to remove the discussion of the several possible placements and only discuss this option.. It would also be wise for Giuseppe to correspond with the authors of that RFC, in accordance with the definition of "experimental" in RFC 2026, to ensure that he and they don't somehow trip over each other.

  Sisto, 2018-03-01

  Mizrahi, 2018-03-02

     10.17487/RFC8321)

  *   [v6ops] draft-fioccola-v6ops-ipv6-alt-mark disc...<https://mailarchive.ietf.org/arch/msg/v6ops/KePjBJDEi_6GRCJJbWJkI-ytmcQ>  Fred Baker
  *   [v6ops] R: draft-fioccola-v6ops-ipv6-alt-mark d...<https://mailarchive.ietf.org/arch/msg/v6ops/GhtlgJjWfPtus7JNfWRoxurCE9s>  Fioccola Giuseppe
  *   Re: [v6ops] R: draft-fioccola-v6ops-ipv6-alt-ma...<https://mailarchive.ietf.org/arch/msg/v6ops/rhBSnmg9VKnxysmlN8-9TLisDu4>  Ackermann, Michael

  *   Hide Navigation Bar<https://mailarchive.ietf.org/arch/msg/v6ops/GhtlgJjWfPtus7JNfWRoxurCE9s>
Date<https://mailarchive.ietf.org/arch/search/?email_list=v6ops&index=GhtlgJjWfPtus7JNfWRoxurCE9s>
Thread<https://mailarchive.ietf.org/arch/search/?email_list=v6ops&gbt=1&index=GhtlgJjWfPtus7JNfWRoxurCE9s>
Toggle navigation

  *
  *   Date<https://mailarchive.ietf.org/arch/search/?email_list=v6ops&index=GhtlgJjWfPtus7JNfWRoxurCE9s>
  *
  *
  *   Thread<https://mailarchive.ietf.org/arch/search/?email_list=v6ops&gbt=1&index=GhtlgJjWfPtus7JNfWRoxurCE9s>
  *

v1.11.2 | Report a Bug<https://tools.ietf.org/tools/ietfdb/newticket> | By Email<mailto:[email-masked]>

________________________________
[email-masked]<mailto:[email-masked]>